package boxs;

import org.newdawn.slick.Image;
import org.newdawn.slick.SlickException;

import personnage.Mitraillette;
import personnage.Personnage;

public class MitrailletteBoxs extends Box
{
	public MitrailletteBoxs() throws SlickException
	{
		super();
		img = new Image("res/boxs/mitraillette.png");
	}
	@Override
	public void action(Personnage perso)
	{
		try {
			perso.arme = new Mitraillette();
			perso.fireSpeed = 2;
		} catch (SlickException e) {
			e.printStackTrace();
		}
	}
}
